import request from '@/assets/js/utils/request'
/* -------------------------------------澄清质疑------------------------------------ */
/*
* 项目经理-投标人提出的问题
* */
// 项目经理-投标人提出的问题列表
export function listClarificationQuestionPages(data) {
  return request({
    url: '/bidprocurement/bidding-clarification/clarification/tenderClarificationQuestion/listClarificationQuestionPages',
    method: 'post',
    data
  })
}
// 项目经理-查看回执机构列表
export function listClarificationReceipt(data) {
  return request({
    url: '/bidprocurement/bidding-clarification/clarification/tenderClarificationReceipt/listClarificationReceipt',
    method: 'post',
    data
  })
}
/*
* 项目经理-澄清
* */
// 项目经理-澄清列表
export function listClarificationPages(data) {
  return request({
    url: '/bidprocurement/bidding-clarification/clarification/tenderClarification/listClarificationPages',
    method: 'post',
    data
  })
}
// 项目经理-查询澄清的审核状态
export function queryClarificationAuditStatus(data) {
  return request({
    url: '/bidprocurement/bidding-clarification/clarification/tenderClarification/queryClarificationAuditStatus',
    method: 'post',
    data
  })
}
// 项目经理-获取澄清可以制作的标段信息
export function getClarificationPackInfo(data) {
  return request({
    url: '/bidprocurement/bidding-clarification/clarification/tenderClarificationPack/getClarificationPackInfo',
    method: 'post',
    data
  })
}
// 项目经理-新增时获取澄清版本
export function getClarificationVesionNumber(data) {
  return request({
    url: '/bidprocurement/bidding-clarification/clarification/tenderClarification/getClarificationVesionNumber',
    method: 'post',
    data
  })
}
// 项目经理-取澄清编辑信息
export function getEditClarificationInfo(clarificationId) {
  return request({
    url: '/bidprocurement/bidding-clarification/clarification/tenderClarification/getEditClarificationInfo?clarificationId=' + clarificationId,
    method: 'post'
  })
}
// 项目经理-删除澄清信息
export function removeClarificationInfo(clarificationId) {
  return request({
    url: '/bidprocurement/bidding-clarification/clarification/tenderClarification/removeClarificationInfo?clarificationId=' + clarificationId,
    method: 'post'
  })
}
// 项目经理-保存澄清(答疑)信息
export function saveAnwserClarificationInfo(data) {
  return request({
    url: '/bidprocurement/bidding-clarification/clarification/tenderClarification/saveAnwserClarificationInfo',
    method: 'post',
    data
  })
}
// 项目经理-选择澄清(答疑)模板
export function chooseAnwserClarificationTemplate(data) {
  return request({
    url: '/bidprocurement/bidding-clarification/clarification/tenderClarificationTemplate/chooseAnwserClarificationTemplate',
    method: 'post',
    data
  })
}
// 项目经理-保存澄清内容并生成pdf盖章
export function saveClarificationContent(data) {
  return request({
    url: '/bidprocurement/bidding-clarification/clarification/tenderClarification/saveClarificationContent',
    method: 'post',
    data
  })
}
// 项目经理-选择澄清(补疑)模板
export function chooseAddendumClarificationTemplate(data) {
  return request({
    url: '/bidprocurement/bidding-clarification/clarification/tenderClarificationTemplate/chooseAddendumClarificationTemplate',
    method: 'post',
    data
  })
}
// 项目经理-保存澄清(补疑)信息/点击修改招标文件
export function saveClarificationInfo(data) {
  return request({
    url: '/bidprocurement/bidding-clarification/clarification/tenderClarification/saveClarificationInfo',
    method: 'post',
    data
  })
}
// 项目经理- 提交澄清信息
export function submitClarificationInfo(data) {
  return request({
    url: '/bidprocurement/bidding-clarification/clarification/tenderClarification/submitClarificationInfo',
    method: 'post',
    data
  })
}
// 项目经理- 使用工具制作澄清函
export function getOpenToolsUrl(clarificationId) {
  return request({
    url: '/bidprocurement/bidding-clarification/clarification/tenderClarification/getOpenToolsUrl?clarificationId=' + clarificationId,
    method: 'post'
  })
}
// 项目经理- 处理问题详情的查看状态
export function dealWithQuestionDetailCheckStatus(questionDetailId) {
  return request({
    url: '/bidprocurement/bidding-clarification/clarification/tenderClarificationQuestionDetail/dealWithQuestionDetailCheckStatus?questionDetailId=' + questionDetailId,
    method: 'post'
  })
}

/* ======================投标澄清API======================*/
// 投标文件澄清列表
export function listBidClarificationPages(data) {
  return request({
    url: '/bidprocurement/bidding-clarification/clarification/tenderBidClarification/listBidClarificationPages',
    method: 'post',
    data
  })
}
// 获取投标文件澄清回执机构信息
export function getBidClarificationSupplierInfo(bidClarificationId) {
  return request({
    url: '/bidprocurement/bidding-clarification/clarification/tenderBidClarificationSupplier/getBidClarificationSupplierInfo?bidClarificationId=' + bidClarificationId,
    method: 'post'
  })
}
